#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QtSql>
#include <QMessageBox>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_pushButton_clicked()
{
    
    db =QSqlDatabase::addDatabase("QMYSQL");
    
    // connexion  la base
    db.setHostName("127.0.0.1");
    db.setPort(3306); //<--- not 3308
    db.setDatabaseName("gestion_livres");
    db.setUserName("root");
    db.setPassword("root");

    if(!db.open())
    {
      ui->lineEdit->setText("connexion rate");
      QMessageBox::critical(0, QObject::tr("Database Error"), db.lastError().text());
    }
    // mise  jour de l'interface pour le fun
    ui->lineEdit->clear();
    ui->lineEdit->setText("connexion tablie");


}

void MainWindow::on_pushButton_2_clicked()
{
   ui->lineEdit->clear();
   ui->lineEdit->setText("connexion ferme");
   db.close();
}

void MainWindow::on_pushButton_3_clicked()
{
    // creation de la requete
    QString ma_requete = "select * from gestion_livres.auteur;";
    QSqlQuery query;
    // execution de la requete
    query.exec(ma_requete);


    ui->textEdit->append("----------------------");
    ui->textEdit->append("Affichage de la table AUTEUR....");
    ui->textEdit->append("----------------------");

    // rcuperation resultat de la requete et affichage
    while (query.next()) {
        QString Numero_A = query.value(0).toString();
        QString Nom  = query.value(1).toString();
        QString Prenom  = query.value(2).toString();
        QString Domicile  = query.value(3).toString();
        ui->textEdit->append(Numero_A+" "+Nom+" "+Prenom+" "+Domicile);
    }

}


void MainWindow::on_pushButton_4_clicked()
{
    QSqlTableModel *model;
    model = new QSqlTableModel(this, db);
    QString C = model->tableName();

    model->setTable("livre");
    model->select();

    QTableView *mm;
    mm = ui->tableView;
    delete mm->model(); // liberation memoire du precedent contenu

    mm->setModel(model);

}
